OpenNMS API 1.2.9

## org.opennms.netmgt.config.threshd
Class Threshold

    java.lang.Object
      org.opennms.netmgt.config.threshd.Threshold

All Implemented Interfaces:
  java.io.Serializable

public class Threshold
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_dsLabel`
`private java.lang.String` `_dsName`
`private java.lang.String` `_dsType`
`private boolean` `_has_rearm` keeps track of state for field: _rearm
`private boolean` `_has_trigger` keeps track of state for field: _trigger
`private boolean` `_has_value` keeps track of state for field: _value
`private double` `_rearm`
`private int` `_trigger`
`private java.lang.String` `_type`
`private double` `_value`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Threshold()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getDsLabel()` Returns the value of field 'dsLabel'.
`java.lang.String` `getDsName()` Returns the value of field 'dsName'.
`java.lang.String` `getDsType()` Returns the value of field 'dsType'.
`double` `getRearm()` Returns the value of field 'rearm'.
`int` `getTrigger()` Returns the value of field 'trigger'.
`java.lang.String` `getType()` Returns the value of field 'type'.
`double` `getValue()` Returns the value of field 'value'.
`boolean` `hasRearm()`
`boolean` `hasTrigger()`
`boolean` `hasValue()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setDsLabel(java.lang.String dsLabel)` Sets the value of field 'dsLabel'.
`void` `setDsName(java.lang.String dsName)` Sets the value of field 'dsName'.
`void` `setDsType(java.lang.String dsType)` Sets the value of field 'dsType'.
`void` `setRearm(double rearm)` Sets the value of field 'rearm'.
`void` `setTrigger(int trigger)` Sets the value of field 'trigger'.
`void` `setType(java.lang.String type)` Sets the value of field 'type'.
`void` `setValue(double value)` Sets the value of field 'value'.
`static Threshold` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _type

    private java.lang.String _type

### _dsName

    private java.lang.String _dsName

### _dsType

    private java.lang.String _dsType

### _value

    private double _value

### _has_value

    private boolean _has_value

  keeps track of state for field: _value

### _rearm

    private double _rearm

### _has_rearm

    private boolean _has_rearm

  keeps track of state for field: _rearm

### _trigger

    private int _trigger

### _has_trigger

    private boolean _has_trigger

  keeps track of state for field: _trigger

### _dsLabel

    private java.lang.String _dsLabel

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Threshold

    public Threshold()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getDsLabel

    public java.lang.String getDsLabel()

  Returns the value of field 'dsLabel'.

  Returns:
    the value of field 'dsLabel'.

### getDsName

    public java.lang.String getDsName()

  Returns the value of field 'dsName'.

  Returns:
    the value of field 'dsName'.

### getDsType

    public java.lang.String getDsType()

  Returns the value of field 'dsType'.

  Returns:
    the value of field 'dsType'.

### getRearm

    public double getRearm()

  Returns the value of field 'rearm'.

  Returns:
    the value of field 'rearm'.

### getTrigger

    public int getTrigger()

  Returns the value of field 'trigger'.

  Returns:
    the value of field 'trigger'.

### getType

    public java.lang.String getType()

  Returns the value of field 'type'.

  Returns:
    the value of field 'type'.

### getValue

    public double getValue()

  Returns the value of field 'value'.

  Returns:
    the value of field 'value'.

### hasRearm

    public boolean hasRearm()

### hasTrigger

    public boolean hasTrigger()

### hasValue

    public boolean hasValue()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setDsLabel

    public void setDsLabel(java.lang.String dsLabel)

  Sets the value of field 'dsLabel'.

  Parameters:
    `dsLabel` - the value of field 'dsLabel'.

### setDsName

    public void setDsName(java.lang.String dsName)

  Sets the value of field 'dsName'.

  Parameters:
    `dsName` - the value of field 'dsName'.

### setDsType

    public void setDsType(java.lang.String dsType)

  Sets the value of field 'dsType'.

  Parameters:
    `dsType` - the value of field 'dsType'.

### setRearm

    public void setRearm(double rearm)

  Sets the value of field 'rearm'.

  Parameters:
    `rearm` - the value of field 'rearm'.

### setTrigger

    public void setTrigger(int trigger)

  Sets the value of field 'trigger'.

  Parameters:
    `trigger` - the value of field 'trigger'.

### setType

    public void setType(java.lang.String type)

  Sets the value of field 'type'.

  Parameters:
    `type` - the value of field 'type'.

### setValue

    public void setValue(double value)

  Sets the value of field 'value'.

  Parameters:
    `value` - the value of field 'value'.

### unmarshal

    public static Threshold unmarshal(java.io.Reader reader)
                               throws org.exolab.castor.xml.MarshalException,
                                      org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.